﻿using System;
using Android.Graphics;
using Com.Syncfusion.Calendar;
using Customization;
using Customization.Droid;
using Syncfusion.SfCalendar.XForms.Droid;
using Xamarin.Forms;

[assembly: ExportRenderer(typeof(MyCalendar), typeof(MyCalendarRenderer))]
namespace Customization.Droid
{
	public class MyCalendarRenderer :SfCalendarRenderer
	{
		public MyCalendarRenderer()
		{
		}

		protected override void OnElementChanged(Xamarin.Forms.Platform.Android.ElementChangedEventArgs<Syncfusion.SfCalendar.XForms.SfCalendar> e)
		{
			base.OnElementChanged(e);
			var calendar = (SfCalendar)Control;// for example
			Typeface font = Typeface.CreateFromAsset(Forms.Context.Assets, "GeosansLight.ttf");
			MonthViewSettings settings = new MonthViewSettings();
			calendar.HeaderFontAttributes = font;

			calendar.MonthViewSettings.DayHeaderFontAttribute = font;
			calendar.MonthViewSettings.DayCellFontAttribute = font;

		}

	}
}

