﻿using System;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace Customization
{
	public partial class CustomizationPage : ContentPage
	{
		

		public CustomizationPage()
		{
			InitializeComponent();
			MyCalendar calendar = new MyCalendar();
			calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;
			MonthViewSettings settings = new MonthViewSettings();
			settings.DayHeaderBackgroundColor = Color.Lime;
			settings.HeaderBackgroundColor = Color.Lime;
			calendar.MonthViewSettings = settings;
			this.Content = calendar;
		}

		void Calendar_OnMonthCellLoaded(object sender, MonthCell args)
		{
			Label lbl = new Label();
			lbl.VerticalOptions = LayoutOptions.Fill;
			lbl.HorizontalOptions = LayoutOptions.Fill;
			lbl.Text = args.Date.ToString("dd");
			lbl.VerticalTextAlignment = TextAlignment.Center;
			lbl.HorizontalTextAlignment = TextAlignment.Center;
			args.BackgroundColor = Color.Lime;
			args.View.BackgroundColor = Color.Lime;
			args.View = lbl;
		}
	}
}

