﻿using System;
using Customization;
using Customization.iOS;
using Syncfusion.SfCalendar.iOS;
using Syncfusion.SfCalendar.XForms.iOS;
using UIKit;
using Xamarin.Forms;




[assembly: ExportRenderer(typeof(MyCalendar), typeof(MyCalendarRenderer))]
namespace Customization.iOS
{
	public class MyCalendarRenderer : SfCalendarRenderer
	{
		public MyCalendarRenderer()
		{
		}
		protected override void OnElementChanged(Xamarin.Forms.Platform.iOS.ElementChangedEventArgs<Syncfusion.SfCalendar.XForms.SfCalendar> e)
		{
			base.OnElementChanged(e);
			var calendar = (SFCalendar)Control;
			calendar.MonthViewSettings.HeaderFontAttribute = UIFont.FromName("GeosansLight", 20f);
			calendar.MonthViewSettings.WeekDayFontAttribute=UIFont.FromName("GeosansLight", 20f);
			calendar.MonthViewSettings.FontAttribute=UIFont.FromName("GeosansLight", 20f);
		}
	}
}

